## org.apache.ivy.core.repository
Interface RepositoryManagementEngineSettings

All Superinterfaces:
  ParserSettings, ResolveEngineSettings, ResolverSettings

All Known Implementing Classes:
  IvySettings

    public interface RepositoryManagementEngineSettings

extends ResolveEngineSettings

Method Summary
`boolean` `dumpMemoryUsage()`

Methods inherited from interface org.apache.ivy.core.resolve.ResolveEngineSettings
`debugConflictResolution, getConflictManager, getReportOutputters, getResolverName, logModuleWhenFound, logNotConvertedExclusionRule, logResolvedRevision, setDictatorResolver`

Methods inherited from interface org.apache.ivy.plugins.resolver.ResolverSettings
`configureRepositories, filterIgnore, getDefaultLatestStrategy, getDefaultRepositoryCacheManager, getLatestStrategy, getNamespace, getRepositoryCacheManager, getRepositoryCacheManagers, getResolveMode, getSignatureGenerator, getSystemNamespace, getVariable, getVersionMatcher`

Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings
`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute, substitute`

Method Detail

### dumpMemoryUsage

    boolean dumpMemoryUsage()